Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.network
Enum QUrlInfo.PermissionSpec

    java.lang.Object
      java.lang.Enum<QUrlInfo.PermissionSpec>
          com.trolltech.qt.network.QUrlInfo.PermissionSpec

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QUrlInfo.PermissionSpec>

Enclosing class:
  QUrlInfo

    public static enum QUrlInfo.PermissionSpec

extends java.lang.Enum<QUrlInfo.PermissionSpec>
implements QtEnumerator

This enum is used by the `permissions` function to report the permissions of a file.

Enum Constant Summary
`ExeGroup` The file is executable by the group.
`ExeOther` The file is executable by anyone.
`ExeOwner` The file is executable by the owner of the file.
`ReadGroup` The file is readable by the group.
`ReadOther` The file is readable by anyone.
`ReadOwner` The file is readable by the owner of the file.
`WriteGroup` The file is writable by the group.
`WriteOther` The file is writable by anyone.
`WriteOwner` The file is writable by the owner of the file.

Method Summary
`static QUrlInfo.PermissionSpec` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QUrlInfo.PermissionSpec` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QUrlInfo.PermissionSpec[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ReadOwner

    public static final QUrlInfo.PermissionSpec ReadOwner

  The file is readable by the owner of the file.

### WriteOwner

    public static final QUrlInfo.PermissionSpec WriteOwner

  The file is writable by the owner of the file.

### ExeOwner

    public static final QUrlInfo.PermissionSpec ExeOwner

  The file is executable by the owner of the file.

### ReadGroup

    public static final QUrlInfo.PermissionSpec ReadGroup

  The file is readable by the group.

### WriteGroup

    public static final QUrlInfo.PermissionSpec WriteGroup

  The file is writable by the group.

### ExeGroup

    public static final QUrlInfo.PermissionSpec ExeGroup

  The file is executable by the group.

### ReadOther

    public static final QUrlInfo.PermissionSpec ReadOther

  The file is readable by anyone.

### WriteOther

    public static final QUrlInfo.PermissionSpec WriteOther

  The file is writable by anyone.

### ExeOther

    public static final QUrlInfo.PermissionSpec ExeOther

  The file is executable by anyone.

Method Detail

### values

    public static final QUrlInfo.PermissionSpec[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QUrlInfo.PermissionSpec c : QUrlInfo.PermissionSpec.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QUrlInfo.PermissionSpec valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QUrlInfo.PermissionSpec resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD